ruby
	{ruby-align:left;}
.style0
	{text-align:general;
	vertical-align:bottom;
	white-space:nowrap;
	color:windowtext;
	font-size:10.0pt;
	font-weight:400;
	font-style:normal;
	text-decoration:none;
	font-family:Arial;
	border:none;}
.style16
	{text-align:general;
	vertical-align:bottom;
	white-space:nowrap;
	color:windowtext;
	font-size:10.0pt;
	font-weight:400;
	font-style:normal;
	text-decoration:none;
	font-family:"MS Sans";
	border:none;}
.style18 {}
td
	{padding-top:1px;
	padding-right:1px;
	padding-left:1px;
	color:windowtext;
	font-size:10.0pt;
	font-weight:400;
	font-style:normal;
	text-decoration:none;
	font-family:Arial;
	text-align:general;
	vertical-align:bottom;
	border:none;
	white-space:nowrap;}
.xl25 {}
.xl26
	{font-weight:700;
	font-family:Arial, sans-serif;}
.xl27
	{border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl28
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl29
	{font-weight:700;
	font-family:Arial, sans-serif;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl30
	{font-weight:700;
	font-family:Arial, sans-serif;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl31
	{font-weight:700;
	font-family:Arial, sans-serif;}
.xl32
	{font-style:italic;
	font-family:Arial, sans-serif;}
.xl33 {}
.xl34
	{text-align:left;}
.xl35
	{text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl36
	{border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;}
.xl37
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl38
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl39
	{text-align:right;}
.xl40
	{text-align:center;}
.xl41
	{font-style:italic;
	font-family:Arial, sans-serif;}
.xl42
	{text-align:center;}
.xl43
	{text-align:right;}
.xl44
	{text-align:center;}
.xl45
	{text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;}
.xl46 {}
.xl47
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;}
.xl48
	{text-align:right;
	border-top:.5pt solid windowtext;
	border-right:none;
	border-bottom:none;
	border-left:none;}
.xl49
	{text-align:right;}
.xl50
	{text-align:left;}
.xl51
	{text-align:center;}
.xl52
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;}
.xl53
	{font-weight:700;
	font-family:Arial, sans-serif;}
.xl54 {}
.xl55 {}
.xl56
	{text-align:right;}
.xl57
	{text-align:right;}
.xl58
	{font-size:11.0pt;
	font-family:Arial, sans-serif;}
.xl59
	{font-size:11.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl60
	{font-size:11.0pt;
	font-family:Arial, sans-serif;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl61
	{font-size:11.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl62
	{font-size:11.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl63
	{font-size:11.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl64
	{font-size:11.0pt;
	font-family:Arial, sans-serif;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl65
	{font-size:12.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;}
.xl66
	{font-size:14.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;}
.xl67
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;}
.xl68
	{font-size:9.0pt;
	font-family:Arial, sans-serif;
	text-align:right;}
.xl69
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;}
.xl70
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;}
.xl71
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	vertical-align:top;
	white-space:normal;}
.xl72
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	vertical-align:top;
	white-space:normal;}
.xl73
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;}
.xl74
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;}
.xl75 {}
.xl76
	{text-decoration:underline;
	text-underline-style:single;
	font-family:Arial, sans-serif;}
.xl77
	{font-size:9.0pt;
	font-style:italic;
	font-family:Arial, sans-serif;}
.xl78
	{font-size:9.0pt;
	font-family:Arial, sans-serif;}
.xl79
	{font-size:11.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;}
.xl80
	{font-size:11.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl81
	{font-size:11.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;}
.xl82
	{font-size:11.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl83
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	vertical-align:top;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;}
.xl84
	{text-align:right;}
.xl85
	{border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;}
.xl86
	{font-weight:700;
	font-family:Arial, sans-serif;}
.xl87
	{border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;}
.xl88
	{font-size:11.0pt;
	font-family:Arial, sans-serif;
	text-align:center;}
.xl89
	{font-size:11.0pt;
	font-family:Arial, sans-serif;
	text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl90
	{text-align:center;}
.xl91
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;}
.xl92
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl93
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;}
.xl94
	{text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl95
	{border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl96
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:none;
	border-left:.5pt solid windowtext;}
.xl97
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;}
.xl98
	{font-size:9.0pt;
	font-family:Arial, sans-serif;
	text-align:right;}
.xl99
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:.5pt solid windowtext;}
.xl100
	{text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:none;
	border-left:.5pt solid windowtext;}
.xl101
	{text-align:right;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:.5pt solid windowtext;}
.xl102
	{border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;}
.xl103
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	vertical-align:top;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;
	white-space:normal;}
.xl104
	{font-size:8.0pt;
	font-family:Arial, sans-serif;
	text-align:right;}
.xl105
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:left;
	vertical-align:top;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;
	white-space:normal;}
.xl106
	{font-size:9.0pt;
	font-weight:700;
	font-family:Arial, sans-serif;
	text-align:right;
	vertical-align:top;
	border-top:none;
	border-right:none;
	border-bottom:.5pt solid windowtext;
	border-left:none;
	white-space:normal;}
.xl107
	{text-align:right;}
.xl108 {}
.xl109
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:center;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
.xl110
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:left;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:.5pt solid windowtext;}
.xl111
	{font-weight:700;
	font-family:Arial, sans-serif;
	text-align:left;
	border-top:none;
	border-right:none;
	border-bottom:1.0pt solid windowtext;
	border-left:none;}
